﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ThinkGeo.MapSuite.Core;
using System.Collections.ObjectModel;

namespace TestShapeFile
{
    public class CustomStyle:Style
    {
        public CustomStyle():base()
        {

        }
        protected override void DrawCore(IEnumerable<Feature> features, GeoCanvas canvas, Collection<SimpleCandidate> labelsInThisLayer, System.Collections.ObjectModel.Collection<SimpleCandidate> labelsInAllLayers)
        {
            
            foreach (Feature feature in features)
            {

                try
                {


                    switch (feature.GetWellKnownType())
                    {
                      
                        case WellKnownType.Point:
                        case WellKnownType.Multipoint:

                            PointShape pointShape = feature.GetShape() as PointShape;
                          
                            float IconImageScale = canvas.Dpi / 96F;
                            GeoImage image;
                            try
                            {

                               

                                image = new GeoImage("Images/pin.png");

                                if (image != null)
                                {
     
                                    canvas.DrawWorldImage(image, pointShape.X, pointShape.Y, 0.5, DrawingLevel.LevelFour, 0, 0, 0);
                                }




                            }
                            catch (Exception ex)
                            {
                               
                            }

                            break;
                       
                    }
                }
                catch (Exception ex)
                {

                }

            }

        }

    }
}
